[gnome-terminal] build: Use autoreconf



commit f4fa45d108ceb84b285b3370b01531ac80d88a19
Author: Christian Persch <chpe gnome org>
Date:   Wed Feb 13 12:16:34 2013 +0100

    build: Use autoreconf
    
    Just use autoreconf + intltoolize directly instead of gnome-autogen.sh.

 Makefile.am  |  2 +-
 autogen.sh   | 20 ++++++++------------
 configure.ac |  1 +
 3 files changed, 10 insertions(+), 13 deletions(-)
---
diff --git a/Makefile.am b/Makefile.am
index f317baa..33e63e7 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -2,7 +2,7 @@ SUBDIRS = src po help
 
 NULL =
 
-ACLOCAL_AMFLAGS = ${ACLOCAL_FLAGS}
+ACLOCAL_AMFLAGS = -I m4 ${ACLOCAL_FLAGS}
 
 DISTCHECK_CONFIGURE_FLAGS = \
        --disable-scrollkeeper \
diff --git a/autogen.sh b/autogen.sh
index 5b19f75..aeff78a 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,19 +1,15 @@
 #!/bin/sh
 # Run this to generate all the initial makefiles, etc.
 
+set -e
+
 srcdir=`dirname $0`
 test -z "$srcdir" && srcdir=.
 
-REQUIRED_AUTOMAKE_VERSION=1.9
-REQUIRED_INTLTOOL_VERSION=0.40.4
-REQUIRED_YELP_TOOLS_VERSION=3.1.1
-
-PKG_NAME="gnome-terminal"
-
-which gnome-autogen.sh || {
-    echo "You need to install gnome-common from the GNOME SVN"
-    exit 1
-}
-USE_COMMON_DOC_BUILD=yes
+pushd "$srcdir"
+mkdir -p m4 &>/dev/null || true
+autoreconf --verbose --force --install
+intltoolize --force
+popd
 
-. gnome-autogen.sh
+test -n "$NOCONFIGURE" || "$srcdir/configure" "$@"
diff --git a/configure.ac b/configure.ac
index 5060d0d..9b3ab24 100644
--- a/configure.ac
+++ b/configure.ac
@@ -9,6 +9,7 @@ m4_define([gt_api_version],[0])
 AC_INIT([GNOME 
Terminal],[gt_version],[http://bugzilla.gnome.org/enter_bug.cgi?product=gnome-terminal],[gnome-terminal])
 AC_CONFIG_SRCDIR([src/terminal.c])
 AC_CONFIG_HEADERS([config.h])
+AC_CONFIG_MACRO_DIR([m4])
 
 AM_INIT_AUTOMAKE([1.9 foreign no-dist-gzip dist-bzip2])
 


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]